### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
InterpolatedSurvivalProbabilityCurve< Interpolator > Class Template Reference

DefaultProbabilityTermStructure based on interpolation of survival probabilities. More...

`#include <ql/termstructures/credit/interpolatedsurvivalprobabilitycurve.hpp>`

Inheritance diagram for InterpolatedSurvivalProbabilityCurve< Interpolator >:
[legend]

List of all members.

## Public Member Functions

| InterpolatedSurvivalProbabilityCurve (const std::vector< Date > &dates, const std::vector< Probability > &probabilities, const DayCounter &dayCounter, const Calendar &calendar=Calendar(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
TermStructure interface
Date | maxDate () const
| the latest date for which the curve can return values
other inspectors
const std::vector< Time > & | times () const
const std::vector< Date > & | dates () const
const std::vector< Real > & | data () const
const std::vector< Probability > & | survivalProbabilities () const
std::vector< std::pair< Date, Real > > | nodes () const

## Protected Member Functions

| InterpolatedSurvivalProbabilityCurve (const DayCounter &, const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
| InterpolatedSurvivalProbabilityCurve (const Date &referenceDate, const DayCounter &, const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
| InterpolatedSurvivalProbabilityCurve (Natural settlementDays, const Calendar &, const DayCounter &, const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
DefaultProbabilityTermStructure implementation
Probability | survivalProbabilityImpl (Time) const
| survival probability calculation
Real | defaultDensityImpl (Time) const
| instantaneous default density at a given time

## Protected Attributes

std::vector< Date > | dates_

## Detailed Description

### template<class Interpolator>
class QuantLib::InterpolatedSurvivalProbabilityCurve< Interpolator >

DefaultProbabilityTermStructure based on interpolation of survival probabilities.

## Member Function Documentation

Real defaultDensityImpl | ( | Time |  | ) | const`[protected, virtual]`

instantaneous default density at a given time

implemented in terms of the survival probability as

Warning:
  This implementation uses numerical differentiation, which might be inefficient and inaccurate. Derived classes should override it if a more efficient implementation is available.

Reimplemented from SurvivalProbabilityStructure.